Release modular inventory booking
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/bookings/release \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mediaBuyId": "<string>",
"buyerCustomerId": 4503599627370495,
"availId": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/bookings/release"
payload = {
"mediaBuyId": "<string>",
"buyerCustomerId": 4503599627370495,
"availId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({mediaBuyId: '<string>', buyerCustomerId: 4503599627370495, availId: '<string>'})
};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/bookings/release', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"bookingId": "<string>",
"availId": "<string>",
"mediaBuyId": "<string>",
"packageId": "<string>",
"requestedImpressions": 4503599627370495,
"status": "HELD"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Release modular inventory booking
Release a held modular inventory reservation or cancel a locally booked reservation, returning capacity to the avail.
POST
/
inventory-sources
/
{sourceId}
/
modular
/
bookings
/
release
Release modular inventory booking
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/bookings/release \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mediaBuyId": "<string>",
"buyerCustomerId": 4503599627370495,
"availId": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/bookings/release"
payload = {
"mediaBuyId": "<string>",
"buyerCustomerId": 4503599627370495,
"availId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({mediaBuyId: '<string>', buyerCustomerId: 4503599627370495, availId: '<string>'})
};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/bookings/release', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"bookingId": "<string>",
"availId": "<string>",
"mediaBuyId": "<string>",
"packageId": "<string>",
"requestedImpressions": 4503599627370495,
"status": "HELD"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Inventory source ID
Minimum string length:
1Body
application/json